package com.sunxung.factoring.component.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @className:ExcelTitle
 * @description:Excel标题注解信息类
 * @author:杜小姣
 * @e-mail:1261237207@qq.com
 * @date:2018年4月9日 上午11:58:32
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
public @interface ExcelTitle {

    /** 标题行内容 */
    String[] title();

    /** 导出时标题行内容,优先于title */
    String[] exportTitle() default {};

    /** 开始格 */
    int cellStartAt();

    /** 开始行 */
    int rowStartAt();

    String exportFileName();
}
